Subject: RE: [Sip-implementors] RE: [Sip] SDP Query

From: "Attila Sipos" <[email-masked]>
Date: Fri, 26 Aug 2005 08:07:53 +0100

Sorry.
Colin Perkins is correct - it isn't a correct SDP.

I was just considering the m= and c= lines when I made
my evaluation.

Regards,

Attila

Attila Sipos
http://www.vegastream.com

>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf Of Attila
>> Sipos
>> Sent: 25 August 2005 10:02
>> To: [email-masked]; SIP Implementors
>> Cc: SIP IETF
>> Subject: [Sip-implementors] RE: [Sip] SDP Query
>> 
>> 
>> Hi Udit, 
>>  
>> Yes it is valid.  The question is what did you intend it to mean?
>>  
>> In your example, you will end up with audio with IP 224.2.17.13
>> and video with IP 224.2.17.12.
>>  
>> The first "c=" (is a session description "c=" since it comes 
>> before any
>> "m=" section) means use this IP address for all media unless the
>> media description says otherwise.
>>  
>> The second "c=" (is a media description "c=" because it 
>> comes after the "m=")
>> means for this particular media use the address I've specified here.
>>  
>> You could have, as an alternative, written your SDP like this:
>>  
>>         t=2873397496 2873404696 
>>         a=recvonly 
>>         m=audio 49170 RTP/AVP 0 
>>         c=IN IP4 224.2.17.13/127 
>>         m=video 51372 RTP/AVP 31 
>>         c=IN IP4 224.2.17.12/127 
>> 
>> In my example above, there is no session description "c=" so every
>> media description has to have a "c=".
>>  
>> Regards,
>>  
>> Attila Sipos
>> http://www.vegastream.com
>>  
>>  
>> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On 
>> Behalf Of [email-masked]
>> Sent: 24 August 2005 21:11
>> To: SIP Implementors
>> Cc: SIP IETF
>> Subject: [Sip] SDP Query
>> 
>> 
>> 
>> Hi, 
>> 
>> Just want to check if following SDP is valid: 
>> 
>>         c=IN IP4 224.2.17.12/127 
>>         t=2873397496 2873404696 
>>         a=recvonly 
>>         m=audio 49170 RTP/AVP 0 
>>         c=IN IP4 224.2.17.13/127 
>>         m=video 51372 RTP/AVP 31 
>> 
>> It indicates different IP address used for audio and video types. 
>> 
>> I thought the reason we have connection parameter in both 
>> session and media description is for handling hold cases, 
>> where you want to hold a particular set of media instead of 
>> whole session. 
>> 
>> Regards, 
>> Udit 
>> 
>> 
>> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip